﻿<MudSelectExtended MultiSelection="true"
                    @bind-SelectedValues="SelectedMaterialTickers"
                    SearchBox="true"
                    SearchBoxAutoFocus="true"
                    Label="Materials"
                    AnchorOrigin="Origin.BottomCenter"
                    Variant="Variant.Filled"
                    SearchBoxClearable="true"
                    ChipCloseable="true"
                    ChipSize="Size.Small"
                    ChipVariant="Variant.Filled"
                    ValuePresenter="ValuePresenter.Chip"
                    NoWrap="true">
    @foreach (var Ticker in PlanetMaterialTickers)
    {
        <MudSelectItemExtended Value="Ticker" Disabled="@(SelectedMaterialTickers.Count() == 4)">
            @Ticker
        </MudSelectItemExtended>
    }
</MudSelectExtended>